#include "stdafx.h"
#include "WinFinger.h"
#include "WinFingerDoc.h"
#include "WinFingerView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(CWinFingerView, CEditView)

BEGIN_MESSAGE_MAP(CWinFingerView, CEditView)
	//{{AFX_MSG_MAP(CWinFingerView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CWinFingerView::CWinFingerView()
{
}

CWinFingerView::~CWinFingerView()
{
}

BOOL CWinFingerView::PreCreateWindow(CREATESTRUCT& cs)
{
	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Enable word-wrapping
  cs.style |= ES_READONLY; //View is read only

	return bPreCreated;
}

void CWinFingerView::OnDraw(CDC* /*pDC*/)
{
	CWinFingerDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}

#ifdef _DEBUG
void CWinFingerView::AssertValid() const
{
	CEditView::AssertValid();
}

void CWinFingerView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CWinFingerDoc* CWinFingerView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWinFingerDoc)));
	return static_cast<CWinFingerDoc*>(m_pDocument);
}
#endif //_DEBUG

